package com.liquidnet.service.candy.dto.admin;

public class CandyCouponListParam {
    /**
     * 券类型[1-代金券｜2-满减券｜3-兑换券｜4-折扣券|101-优先券]
     */
    private Integer couType;
    /**
     * 搜索关键字
     */
    private String keyword;
    /**
     * 领取方式[0-用户输入兑换｜1-发放至用户｜2-积分兑换｜3-发放需领取｜4-会员专属]
     * <p>
     * 多种方式则以,分隔入参
     * </p>
     */
    private String bindType;
    /**
     * 业务类别[0-全场｜1-演出｜2-商品｜3-优先购]
     */
    private Integer busiType;

    public Integer getCouType() {
        return couType;
    }

    public void setCouType(Integer couType) {
        this.couType = couType;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getBindType() {
        return bindType;
    }

    public void setBindType(String bindType) {
        this.bindType = bindType;
    }

    public Integer getBusiType() {
        return busiType;
    }

    public void setBusiType(Integer busiType) {
        this.busiType = busiType;
    }
}
